> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/categories/{categoryId}/instructions/groups
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/categories/{categoryId}/instructions/groups:
    post:
      tags:
        - Category Guidance
      summary: Create Group
      operationId: CategoryGuidanceController_createGroup_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: categoryId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCategoryInstructionGroupDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CategoryInstructionGroupMutationResponseDto
components:
  schemas:
    CreateCategoryInstructionGroupDto:
      type: object
      properties:
        label:
          type: string
          minLength: 1
          maxLength: 120
        expectedRevision:
          type: number
          minimum: 1
        kind:
          enum:
            - instruction
            - requirement
          type: string
      required:
        - label
        - expectedRevision
        - kind
    CategoryInstructionGroupMutationResponseDto:
      type: object
      properties:
        revision:
          type: number
        group:
          $ref: '#/components/schemas/CategoryInstructionGroupResponseDto'
      required:
        - revision
        - group
    CategoryInstructionGroupResponseDto:
      type: object
      properties:
        id:
          type: string
        lineageId:
          type: string
        label:
          type: string
        position:
          type: number
        items:
          type: array
          items:
            $ref: '#/components/schemas/CategoryInstructionItemResponseDto'
      required:
        - id
        - lineageId
        - label
        - position
        - items
    CategoryInstructionItemResponseDto:
      type: object
      properties:
        id:
          type: string
        lineageId:
          type: string
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
              - facility_mgr
        position:
          type: number
        disabledProductTypeIds:
          type: array
          items:
            type: string
      required:
        - id
        - lineageId
        - text
        - assigneeRoleGroupIds
        - position
        - disabledProductTypeIds

````